Organizações
Listar organizações
Lista organizações.
curl -X GET "https://api.chargefy.io/v1/organizations?limit=20" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
{
"object": "list",
"data": [
{
"id": "org_EBTFs2nmejD7KBbT",
"object": "organization",
"activation_status": "not_submitted",
"activation_status_updated_at": null,
"activation_submitted_at": null,
"avatar_url": null,
"billing_additional_info": null,
"billing_address": null,
"billing_name": null,
"branding_settings": {
"accent_color": "#FF6B00",
"border_style": "rounded",
"brand_color": "#1B1B1B",
"font_family": null,
"theme": "light"
},
"business_profile": null,
"company": null,
"created_at": "2026-05-16T14:09:27Z",
"dashboard_settings": {
"timezone": "America/Sao_Paulo"
},
"document": "12345678000190",
"document_type": "cnpj",
"email": "contato@meusite.com",
"individual": null,
"livemode": true,
"metadata": {},
"name": "Acme Ltda",
"payout_account": null,
"platform": null,
"representative": null,
"requirements": {
"disabled_reason": null,
"errors": [],
"missing": [
"payout_account",
"business_profile.annual_revenue",
"company.address",
"company.email",
"company.name",
"company.opening_date",
"company.phone",
"representative.address",
"representative.birthdate",
"representative.document",
"representative.email",
"representative.first_name",
"representative.last_name",
"representative.phone",
"representative.verification.document",
"representative.verification.selfie",
"statement_descriptor",
"terms_acceptance.accepted_at",
"terms_acceptance.ip"
],
"pending_verification": []
},
"socials": [],
"statement_descriptor": null,
"terms_acceptance": null,
"updated_at": null,
"website": "https://meusite.com"
}
],
"has_more": false,
"url": "/v1/organizations"
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
Retorna uma página de organizações no payload de lista canônico.
Autenticação
| Credencial | Retorno |
|---|---|
API key da plataforma (platform_admin) | Organizações conectadas ativas daquela plataforma. |
Esta rota é exclusiva do Chargefy for Platforms. A chave de plataforma lista todas as organizações com conexão ativa. O
activation_status financeiro pode ser not_submitted, in_review, active ou disabled; ele não remove a organização da lista.Não use o header
Organization para filtrar esta coleção. Ele não escolhe uma organização nesta rota. Para consultar uma conta específica, use GET /v1/organizations/{id}.Parâmetros de query
integer
default:"10"
Itens por página. Valores abaixo de
1 são ajustados para 1; valores acima de 100 são limitados a 100. Valor inválido usa o padrão 10.string
Cursor para buscar a próxima página depois do ID informado.
string
Cursor para buscar a página anterior antes do ID informado.
curl -X GET "https://api.chargefy.io/v1/organizations?limit=20" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
Resposta
string
Sempre
"list".array
Lista de objetos
organization.boolean
true quando existe próxima página.string
Caminho canônico da coleção:
/v1/organizations.{
"object": "list",
"data": [
{
"id": "org_EBTFs2nmejD7KBbT",
"object": "organization",
"activation_status": "not_submitted",
"activation_status_updated_at": null,
"activation_submitted_at": null,
"avatar_url": null,
"billing_additional_info": null,
"billing_address": null,
"billing_name": null,
"branding_settings": {
"accent_color": "#FF6B00",
"border_style": "rounded",
"brand_color": "#1B1B1B",
"font_family": null,
"theme": "light"
},
"business_profile": null,
"company": null,
"created_at": "2026-05-16T14:09:27Z",
"dashboard_settings": {
"timezone": "America/Sao_Paulo"
},
"document": "12345678000190",
"document_type": "cnpj",
"email": "contato@meusite.com",
"individual": null,
"livemode": true,
"metadata": {},
"name": "Acme Ltda",
"payout_account": null,
"platform": null,
"representative": null,
"requirements": {
"disabled_reason": null,
"errors": [],
"missing": [
"payout_account",
"business_profile.annual_revenue",
"company.address",
"company.email",
"company.name",
"company.opening_date",
"company.phone",
"representative.address",
"representative.birthdate",
"representative.document",
"representative.email",
"representative.first_name",
"representative.last_name",
"representative.phone",
"representative.verification.document",
"representative.verification.selfie",
"statement_descriptor",
"terms_acceptance.accepted_at",
"terms_acceptance.ip"
],
"pending_verification": []
},
"socials": [],
"statement_descriptor": null,
"terms_acceptance": null,
"updated_at": null,
"website": "https://meusite.com"
}
],
"has_more": false,
"url": "/v1/organizations"
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}
⌘I
curl -X GET "https://api.chargefy.io/v1/organizations?limit=20" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
{
"object": "list",
"data": [
{
"id": "org_EBTFs2nmejD7KBbT",
"object": "organization",
"activation_status": "not_submitted",
"activation_status_updated_at": null,
"activation_submitted_at": null,
"avatar_url": null,
"billing_additional_info": null,
"billing_address": null,
"billing_name": null,
"branding_settings": {
"accent_color": "#FF6B00",
"border_style": "rounded",
"brand_color": "#1B1B1B",
"font_family": null,
"theme": "light"
},
"business_profile": null,
"company": null,
"created_at": "2026-05-16T14:09:27Z",
"dashboard_settings": {
"timezone": "America/Sao_Paulo"
},
"document": "12345678000190",
"document_type": "cnpj",
"email": "contato@meusite.com",
"individual": null,
"livemode": true,
"metadata": {},
"name": "Acme Ltda",
"payout_account": null,
"platform": null,
"representative": null,
"requirements": {
"disabled_reason": null,
"errors": [],
"missing": [
"payout_account",
"business_profile.annual_revenue",
"company.address",
"company.email",
"company.name",
"company.opening_date",
"company.phone",
"representative.address",
"representative.birthdate",
"representative.document",
"representative.email",
"representative.first_name",
"representative.last_name",
"representative.phone",
"representative.verification.document",
"representative.verification.selfie",
"statement_descriptor",
"terms_acceptance.accepted_at",
"terms_acceptance.ip"
],
"pending_verification": []
},
"socials": [],
"statement_descriptor": null,
"terms_acceptance": null,
"updated_at": null,
"website": "https://meusite.com"
}
],
"has_more": false,
"url": "/v1/organizations"
}
{
"error": {
"code": "authentication_failed",
"message": "Invalid API key provided.",
"type": "authentication_error"
}
}

